use serde::{Serialize, Deserialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Car {
    pub id: i32,
    pub brand: String,
    pub model: String,
    pub price: f64,
    pub owner_id: i32,
    pub car_station_id: i32
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct BindingCar {
    pub brand: String,
    pub model: String,
    pub price: f64,
    pub owner_id: u32,
    pub car_station_id: u32
}